IPSW-DOWNLOAD-MACOS(1)

NAME
ipsw-download-macos - Download macOS installers

SYNOPSIS
ipsw download macos [flags]

DESCRIPTION
Download macOS installers

OPTIONS
-a, --assistant[=false]
    Only download the InstallAssistant.pkg

-h, --help[=false]
    help for macos

--latest[=false]
    Download latest macOS installer

-l, --list[=false]
    Show latest macOS installers

-w, --work-dir=""
    macOS installer creator working directory

OPTIONS INHERITED FROM PARENT COMMANDS
--black-list=[]
    iOS device black list

-b, --build=""
    iOS BuildID (i.e. 16F203)

--color[=false]
    colorize output

--config=""
    config file (default is $HOME/.config/ipsw/config.yaml)

-y, --confirm[=false]
    do not prompt user for confirmation

-d, --device=""
    iOS Device (i.e. iPhone11,2)

--insecure[=false]
    do not verify ssl certs

-m, --model=""
    iOS Model (i.e. D321AP)

--no-color[=false]
    disable colorize output

--proxy=""
    HTTP/HTTPS proxy

-_, --remove-commas[=false]
    replace commas in IPSW filename with underscores

--restart-all[=false]
    always restart resumable IPSWs

--resume-all[=false]
    always resume resumable IPSWs

--skip-all[=false]
    always skip resumable IPSWs

-V, --verbose[=false]
    verbose output

-v, --version=""
    iOS Version (i.e. 12.3.1)

--white-list=[]
    iOS device white list

SEE ALSO
ipsw-download(1)

HISTORY
6-Mar-2025 Auto generated by spf13/cobra